# DialogQuery (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.menu

## Class DialogQuery

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.deidentifier.arx.gui.view.impl.menu.DialogQuery

- All Implemented Interfaces:
    IDialog, org.eclipse.jface.window.IShellProvider

      public class DialogQuery
      extends org.eclipse.jface.dialogs.TitleAreaDialog
      implements IDialog

  Query dialog

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `org.eclipse.jface.window.Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialogQuery(Data data, org.eclipse.swt.widgets.Shell parent, java.lang.String initial)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close()`
    `protected void` | `configureShell(org.eclipse.swt.widgets.Shell newShell)`
    `protected void` | `createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)`
    `protected org.eclipse.swt.widgets.Control` | `createContents(org.eclipse.swt.widgets.Composite parent)`
    `protected org.eclipse.swt.widgets.Control` | `createDialogArea(org.eclipse.swt.widgets.Composite parent)`
    `DialogQueryResult` | `getResult()`
    `protected org.eclipse.swt.events.ShellListener` | `getShellListener()`
    `protected boolean` | `isResizable()`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DialogQuery

          public DialogQuery(Data data,
                     org.eclipse.swt.widgets.Shell parent,
                     java.lang.String initial)

      Parameters:
        `data` -
        `parent` -
        `initial` -

  - ### Method Detail

    - #### close

          public boolean close()

      Overrides:
        `close` in class `org.eclipse.jface.dialogs.Dialog`

    - #### getResult

          public DialogQueryResult getResult()

      Returns:

    - #### configureShell

          protected void configureShell(org.eclipse.swt.widgets.Shell newShell)

      Overrides:
        `configureShell` in class `org.eclipse.jface.window.Window`

    - #### createButtonsForButtonBar

          protected void createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)

      Overrides:
        `createButtonsForButtonBar` in class `org.eclipse.jface.dialogs.Dialog`

    - #### createContents

          protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

      Overrides:
        `createContents` in class `org.eclipse.jface.dialogs.TitleAreaDialog`

    - #### createDialogArea

          protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

      Overrides:
        `createDialogArea` in class `org.eclipse.jface.dialogs.TitleAreaDialog`

    - #### getShellListener

          protected org.eclipse.swt.events.ShellListener getShellListener()

      Overrides:
        `getShellListener` in class `org.eclipse.jface.window.Window`

    - #### isResizable

          protected boolean isResizable()

      Overrides:
        `isResizable` in class `org.eclipse.jface.dialogs.Dialog`